Subject: bug#1242: closed (Re: bug#8219: Effect of deletions on indirect buffers (Bug#8219))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 19 Mar 2011 16:45:03 +0000

Your bug report

#8219: 23.0.60; aborted soon after I cloned a buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8219: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8219
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8219: Effect of deletions on indirect buffers (Bug#8219)
From: Chong Yidong <[email-masked]>
To: [email-masked]
Date: Sat, 19 Mar 2011 12:44:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I have backported the trunk fix to the emacs-23 brach (there seems to be
no safer complete solutions).  Closing Bug#8219 and Bug#1242.

>From [email-masked] Fri Oct 24 12:11:05 2008
From: Eric Hanchrow <[email-masked]>
To: [email-masked]
Subject: 23.0.60; aborted soon after I cloned a buffer
Date: Fri, 24 Oct 2008 12:10:32 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

        I was editing a file, and hit C-x 4 c to clone the buffer -- I
        then narrowed one window to one region, and narrowed the other
        window (in the cloned buffer) to some other region.  (I do this
        occasionally because I want to focus on _two_ separate pieces of
        the file at once, while ignoring everything else.)  I did some
        editing -- can't remember what, unfortunately -- for a few
        minutes, and suddenly emacs broke into the debugger:

SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = screen
Breakpoint 1 at 0x81155f6: file emacs.c, line 424.
Breakpoint 2 at 0x812fba9: file sysdep.c, line 1135.
Starting program: /usr/local/src/emacs-via-git/src/emacs -nw
[Thread debugging using libthread_db enabled]
[New Thread 0xb7025720 (LWP 1708)]
[Switching to Thread 0xb7025720 (LWP 1708)]

Program exited normally.
quit
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = screen
Breakpoint 1 at 0x8115676: file emacs.c, line 424.
Breakpoint 2 at 0x812fc39: file sysdep.c, line 1130.
Starting program: /usr/local/src/emacs-via-git/src/emacs -nw
[Thread debugging using libthread_db enabled]
[New Thread 0xb70e4720 (LWP 20702)]
[Switching to Thread 0xb70e4720 (LWP 20702)]
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = screen
Breakpoint 1 at 0x8115676: file emacs.c, line 424.
Breakpoint 2 at 0x812fc39: file sysdep.c, line 1130.
Starting program: /usr/local/src/emacs-via-git/src/emacs -nw
[Thread debugging using libthread_db enabled]
[New Thread 0xb70c7720 (LWP 13123)]
[Switching to Thread 0xb70c7720 (LWP 13123)]

Program exited normally.
Working directory /usr/local/src/emacs-via-git.
quit
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = screen
Breakpoint 1 at 0x81184f6: file emacs.c, line 424.
Breakpoint 2 at 0x8132ab9: file sysdep.c, line 1130.
Starting program: /usr/local/src/emacs-via-git/src/emacs -nw
[Thread debugging using libthread_db enabled]
[New Thread 0xb7074720 (LWP 12451)]
[Switching to Thread 0xb7074720 (LWP 12451)]

Breakpoint 1, abort () at emacs.c:424
424	  kill (getpid (), SIGABRT);
#0  abort () at emacs.c:424
#1  0x081cb447 in find_interval (tree=0x9360194, position=3149) at intervals.c:658
#2  0x081cbf16 in get_property_and_range (pos=3149, prop=138091297, val=0xbf842340, start=0xbf842348, end=0xbf842344, object=161440276)
    at intervals.c:2314
#3  0x081d3e02 in find_composition (pos=3149, limit=-1, start=0xbf842348, end=0xbf842344, prop=0xbf842340, object=161440276) at composite.c:430
#4  0x080770ee in check_point_in_composition (prev_buf=0x99f6210, prev_pt=3149, buf=0x99f6210, pt=3037) at xdisp.c:11189
#5  0x0807737d in reconsider_clip_changes (w=0x9d2dd20, b=0x99f6210) at xdisp.c:11236
#6  0x0808a946 in redisplay_window (window=164814116, just_this_one_p=0) at xdisp.c:13263
#7  0x0808d7e3 in redisplay_window_0 (window=164814116) at xdisp.c:12255
#8  0x08181c66 in internal_condition_case_1 (bfun=0x808d7c0 <redisplay_window_0>, arg=164814116, handlers=137857429, 
    hfun=0x8068c20 <redisplay_window_error>) at eval.c:1559
#9  0x08078d86 in redisplay_windows (window=161440272) at xdisp.c:12234
#10 0x08078d3a in redisplay_windows (window=161440272) at xdisp.c:12228
#11 0x0808e28e in redisplay_internal (preserve_echo_area=<value optimized out>) at xdisp.c:11810
#12 0x081254e6 in read_char (commandflag=1, nmaps=5, maps=0xbf843f90, prev_event=137870617, used_mouse_menu=0xbf844030, end_time=0x0)
    at keyboard.c:2649
#13 0x081275cf in read_key_sequence (keybuf=0xbf8440d4, bufsize=30, prompt=137870617, dont_downcase_last=0, can_return_switch_frame=1, 
    fix_current_buffer=1) at keyboard.c:9343
#14 0x08129597 in command_loop_1 () at keyboard.c:1621
#15 0x08181e90 in internal_condition_case (bfun=0x81293f0 <command_loop_1>, handlers=137913825, hfun=0x8124330 <cmd_error>) at eval.c:1511
#16 0x08123883 in command_loop_2 () at keyboard.c:1338
#17 0x08181f6a in internal_catch (tag=137909801, func=0x8123860 <command_loop_2>, arg=137870617) at eval.c:1247
#18 0x08124197 in command_loop () at keyboard.c:1317
#19 0x0812450b in recursive_edit_1 () at keyboard.c:942
#20 0x08124641 in Frecursive_edit () at keyboard.c:1004
#21 0x0811930c in main (argc=2, argv=0xbf844754) at emacs.c:1723
quit
The program is running.  Exit anyway? (y or n) 

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/src/emacs-via-git/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.3 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-10-15 on debian
configured using `configure  '-C' '--enable-maintainer-mode''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  erc-autojoin-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  desktop-save-mode: t
  recentf-mode: t
  display-time-mode: t
  global-auto-revert-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-l q RET C-e C-a c y c y , RET c y l RET RET q l RET 
c y l RET C-d x RET n n C-n RET q q l RET c y l RET 
c y l RET C-d q C-d RET SPC q q RET x C-n C-n C-e C-n 
C-n C-n C-n C-n C-n C-n C-n c y l RET x c y l z C-x 
b g r o RET g n n n RET RET SPC DEL C-x o C-u C-n C-u 
C-n C-n C-f C-@ C-e C-b C-b ESC w m C-y C-c C-c u n 
s u b RET C-x o B DEL y e s RET q c y , RET q l RET 
RET SPC SPC SPC SPC SPC SPC SPC SPC c y l RET x c y 
l z C-x b g r o RET m m e SPC C-n S e r i o u s SPC 
f u l l - b l o w n SPC t e s t ! C-u C-n T h i s SPC 
T o DEL i m e SPC F e r SPC S h i r ! ! C-c C-c g n 
n n RET C-n C-n RET n n SPC SPC SPC SPC C-n C-n RET 
C-x h B DEL y e s RET q , RET C-d q q RET q RET C-d 
x q q RET C-k x c y x l RET c y l RET B DEL y e s RET 
q c y z C-x b g r o RET g RET RET SPC B DEL y e s RET 
q , RET x RET SPC q ESC x r e p o r t - e m TAB RE
T

Recent messages:
Fetching headers for nntp+localhost:gmane.emacs.devel...done
Scoring...done
Sorting threads...done
Generating summary...done
Sorting threads...done
Generating summary...done
Auto-saving...done
Exiting summary buffer and applying spam rules
No more unread newsgroups
Auto-saving...

-- 
... a physicist of my acquaintance confiscated my copies of The
Tao of Physics and The Dancing Wu-li Masters and wouldn't let me have
them back even when I threatened to sue.
        -- Megan McArdle (writing as "Jane Galt")